# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"

inherit distutils eutils

S=${WORKDIR}/${PN}

DESCRIPTION="MailBridge - a mail storage spanning bridge"
HOMEPAGE="http://community.zarafa.com/pg/plugins/project/243/developer/ryan/mailbridge"
LICENSE="BSD"
SRC_URI="http://community.zarafa.com/mod/community_plugins/download.php?release_guid=244 -> ${P}.tar.gz"

IUSE=""

KEYWORDS="amd64 x86"

SLOT="0"

RDEPEND="
	dev-python/setuptools
	dev-python/redis-py
	dev-python/threadpool
	"
DEPEND="${RDEPEND}"

src_prepare() {
	edos2unix INSTALL README
	sed -i -e '1i#!/usr/bin/python' mailbridge_span.py
	cp "${FILESDIR}"/setup.py .
	distutils_src_prepare
}


src_install() {
	distutils_src_install

	insinto /etc/${PN}
	newins mailbridge.conf.example mailbridge.conf
	newsbin mailbridge_span.py mailbridge

	dodoc INSTALL README
}

