# -*- coding: utf-8; -*-
#
#    MailBridge - a mail storage spanning bridge.
#    Copyright (C) 2011 Ryan Hughes <ryan@n-h.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""
Python setup file to install Mailbridge 
"""

from distutils.core import setup

setup(
    name = 'mailbridge',
    version = '1.0.0',
    description = 'MailBridge - a mail storage spanning bridge.',
    license = 'AGPL-3',
    url = "http://community.zarafa.com/pg/plugins/project/243/developer/ryan/mailbridge",
    author = "Ryan Hughes",
    author_email = "ryan@n-h.com",
    maintainer = "Ryan Hughes",
    maintainer_email = "ryan@n-h.com",
    packages = ["mailbridge", "mailbridge.bridge",
                "mailbridge.protocol", "mailbridge.state",
                "mailbridge.store", "mailbridge.store.dsync",
                "mailbridge.store.zarafa", "mailbridge.util", ],
)
